<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">

<head>
    <th:block th:include="include :: header('订单列表')"/>
    <th:block th:include="include :: layout-latest-css"/>
    <th:block th:include="include :: ztree-css"/>
</head>

<body class="gray-bg">

<div class="ui-layout-center">
    <div class="container-div">
        <div class="row">
            <div class="col-sm-12 search-collapse">
                <form id="order-form">
                    <input type="hidden" id="deptId" name="deptId">
                    <input type="hidden" id="parentId" name="parentId">
                    <div class="select-list">
                        <ul>
                            <li>
                                订单号：<input type="text" name="code"/>
                            </li>
                            <li>
                                <a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i
                                        class="fa fa-search"></i>&nbsp;搜索</a>
                                <a class="btn btn-warning btn-rounded btn-sm" onclick="$.form.reset()"><i
                                        class="fa fa-refresh"></i>&nbsp;重置</a>
                            </li>
                        </ul>
                    </div>
                </form>
            </div>

            <div class="btn-group-sm" id="toolbar" role="group">
                <a class="btn btn-warning" onclick="$.table.exportExcel()"
                   shiro:hasPermission="order:order:export">
                    <i class="fa fa-download"></i> 导出
                </a>
            </div>

            <div class="col-sm-12 select-table table-striped">
                <table id="bootstrap-table"></table>
            </div>
        </div>
    </div>
</div>

<th:block th:include="include :: footer"/>
<th:block th:include="include :: layout-latest-js"/>
<th:block th:include="include :: ztree-js"/>
<script th:inline="javascript">
    var payTypes = [[${@dict.getType('pay_type')}]];
    var orderTypes = [[${@dict.getType('goods_category_type')}]];

    var editFlag = [[${@permission.hasPermi('order:order:edit')}]];
    var prefix = ctx + "order/master";

    $(function () {
        var panehHidden = false;
        if ($(this).width() < 769) {
            panehHidden = true;
        }
        $('body').layout({initClosed: panehHidden, west__size: 185});
        // 回到顶部绑定
        if ($.fn.toTop !== undefined) {
            var opt = {
                win: $('.ui-layout-center'),
                doc: $('.ui-layout-center')
            };
            $('#scroll-up').toTop(opt);
        }
        queryOrderList();
    });

    function queryOrderList() {
        var options = {
            url: prefix + "/list",
            exportUrl: prefix + "/export",
            sortName: "createTime",
            sortOrder: "desc",
            modalName: "订单",
            columns: [
                {
                    checkbox: true
                },
                {
                    field: 'id',
                    title: '订单ID',
                    visible: false
                },
                {
                    field: 'code',
                    title: '序号'
                },
                {
                    field: 'detailsList',
                    title: '订单信息',
                    formatter: function (value, row, index) {
                        var actions = [];
                        value.forEach(item => {
                            actions.push("商品id：" + item.goodsId + "</br>");
                            actions.push("商品名称：" + item.goodsName+ "</br>");
                            actions.push("商品数量：" + item.goodsNum+ "</br>");
                            actions.push("已服务数量：" + item.serverGoodsNum + "</br>");
                            actions.push("完成时间：" + item.finishTime + "</br>");
                            if(item.totalMoney){
                                actions.push("子单总金额：" + item.totalMoney + "</br>");
                            }else {
                                actions.push("子单总金额：--" + "</br>");
                            }
                            if(item.discountMoney){
                                actions.push("优惠金额：" + item.discountMoney + "</br>");
                            }else {
                                actions.push("优惠金额：--"  + "</br>");
                            }
                            if(item.payMoney){
                                actions.push("实付金额：" + item.payMoney + "</br>");
                            }else {
                                actions.push("实付金额：--" + "</br>");
                            }
                        })
                        /** 消费者相关信息 **/
                        if(row.customDetails){
                            actions.push("消费者Id：" + row.customDetails.customerId + "</br>");
                            actions.push("收件人姓名：" + row.customDetails.name+ "</br>");
                            actions.push("收件人手机：" + row.customDetails.phone + "</br>");
                            actions.push("地址信息：" + row.customDetails.provinceName + "-" +  row.customDetails.cityName + "-" + row.customDetails.countryName  + "</br>");
                            actions.push("详细地址：" + row.customDetails.address + "</br>");
                        }
                        if(actions.length){
                            return actions.join('');
                        }
                    }
                },
                {
                    field: 'state',
                    title: '订单状态',
                    formatter: function (value, row, index) {
                        var actions = [];
                        if(value){
                            actions.push("订单状态:" + value.orderStatusDesc + "</br>" );
                            actions.push("订单时间:" + value.receivingTime + "</br>" );
                        }
                        return actions.join('');
                    }
                },
                // {
                //     field: 'orderType',
                //     title: '订单类型',
                //     align: 'center',
                //     formatter: function (value, row, index) {
                //         return $.table.selectDictLabel(orderTypes, value);
                //     }
                // },
                {
                    field: 'memo',
                    title: '便签',
                    formatter: function (value, row, index) {
                        if(value){
                            return value.memoStr;
                        }
                    }
                },
                {
                    field: 'detailsList',
                    title: '订单流转信息',
                    align: 'center'
                },
                {
                    field: 'receiving',
                    title: '接单信息',
                    formatter: function (value, row, index) {
                        var actions = [];
                        if(value){
                            actions.push("接单人id：" + value.receivingUserId + "</br>");
                            actions.push("接单人姓名：" + value.receivingUserName + "</br>");
                            actions.push("接单人电话：" + value.receivingUserPhone + "</br>");
                            actions.push("操作人id：" + value.operationUserId + "</br>");
                            actions.push("操作人姓名：" + value.operationUserName + "</br>");
                            actions.push("操作人电话：" + value.operationUserPhone + "</br>");
                        }
                        return actions.join('');
                    }
                },
                {
                    field: 'operationType',
                    title: '操作',
                    formatter: function (value, row, index) {
                        var actions = [];
                        actions.push('<a class="btn btn-success btn-xs " href="javascript:void(0)" onclick="detail(\'' + row.id + '\')"><i class="fa fa-info-circle"></i>查看</a> </br>');
                        actions.push('<a class="btn btn-success btn-xs " href="javascript:void(1)" onclick="detail(\'' + row.id + '\')"><i class="fa fa-info-circle"></i>查看急报</a> </br>');
                        actions.push('<a class="btn btn-success btn-xs " href="javascript:void(2)" onclick="detail(\'' + row.id + '\')"><i class="fa fa-info-circle"></i>发送急报</a> </br>');
                        actions.push('<a class="btn btn-success btn-xs " href="javascript:void(3)" onclick="detail(\'' + row.id + '\')"><i class="fa fa-info-circle"></i>追加扣减</a> </br>');
                        actions.push('<a class="btn btn-success btn-xs " href="javascript:void(4)" onclick="detail(\'' + row.id + '\')"><i class="fa fa-info-circle"></i>师傅退单</a> </br>');
                        actions.push('<a class="btn btn-success btn-xs " href="javascript:void(5)" onclick="detail(\'' + row.id + '\')"><i class="fa fa-info-circle"></i>商家退款</a> </br>');
                        return actions.join('');
                    }
                },
                {
                    field: 'workerId',
                    title: '客诉中'
                },
                {
                    field: 'revTime',
                    title: '商家信息',
                    formatter: function (value, row, index) {
                        var actions = [];
                        if(value){
                            actions.push("商家id：" + value.businessId+ "</br>");
                            actions.push("商家姓名：" + value.businessUserName+ "</br>");
                            actions.push("商家电话：" + value.businessUserPhone+ "</br>");
                        }
                        return actions.join('');
                    }
                },
                {
                    field: 'business',
                    title: '商家发布家'
                },
                {
                    field: 'createTime',
                    title: '商家加追金额'
                },
                {
                    field: 'createTime',
                    title: '代收款'
                },
                {
                    field: 'createTime',
                    title: '奖励金'
                },
                {
                    field: 'invitee',
                    title: '邀请人',
                    formatter: function (value, row, index) {
                        console.log(value);
                        var actions = [];
                        if(value){
                            actions.push("邀请人姓名：" + value.name + "</br>");
                            actions.push("邀请人电话：" + value.phone + "</br>");
                        }else {
                            actions.push("邀请人姓名：--" + "</br>");
                            actions.push("邀请人电话：--" + "</br>");
                        }
                        return actions.join('');
                    }
                }
                // {
                //     title: '操作',
                //     align: 'left',
                // }
            ]
        };
        $.table.init(options);
    }

    function detail(id) {
        var url = "order/goods?orderId=" + id;
        $.modal.open("商品信息", url);
    }

</script>
</body>

</html>